LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
05455Bug reports[All Projects] Survey designpublic2011-09-07 18:532011-11-08 18:58
ReporterMaximilien 
Assigned Toc_schmitz 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version1.91+ 
Target VersionFixed in Version 
Summary05455: INSERTANS not working in Multiple options with comments
DescriptionI have an issue with a part of my survey :

I have two questions in my survey:
1) The first one is a "Multiple options with comments" ;
2) The second one is a "Table" using the table filter on the first question.

The questions are in separate groups.

I'd like to get in the sub-questions fields of the second question the answers to the first question.

For example :

Question 1 :
What do you drink at breakfast:
Drink 1 : < INPUT FIELD 1 >
Drink 2 : < INPUT FIELD 2 >
Drink 3 : < INPUT FIELD 3 >

Let's say the user puts in the first input field (INPUT FIELD 1) "Coffee" and in the second one (INPUT FIELD 2) "Tea".

Question 2 :
For each drink, do you put sugar in it ?

            Yes No Depends
Coffee
Tea

So normally to do that I use {INSERTANS:...} in the sub-question fields of the question 2. But using it here doesn't work, I only get "No answer", and I really don't understand why.
Steps To ReproduceCreate a survey (ID is 36628 in this example).

Create 2 groups (IDs are 25 and 31 in this example).

In first group create a question (ID is 2095) of type "Multiple options with comments" with 3 sub-questions "Drink 1", "Drink 2", Drink 3".

In the second group, create a question (ID is 2813) of type "Array" with a filter ("Array Filter" in advanced options) on the first question of the first group.

Add 3 answer to this Array : "Yes", "No", and "Sometimes".

Add 3 subquestions to this Array using INSERTANS :
1) {INSERTANS:36628X25X20951comment}​
2) {INSERTANS:36628X25X20952comment}​
3) {INSERTANS:36628X25X20953comment}​
The code of those subquestions must be the same than those of the subquestions present in the first question (the one with ID 2095) so that the filter can work.

The result is that the question 2 (ID 2813) labels are "No answer".
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID10746
BrowserChrome 13.0.782.218
Database & DB-VersionMySQL 5.1.54
Operating System (Server)Ubuntu 11.04 (GNU/Linux 2.6.38-11-generic-pae i686)
Webserver software & versionApache 2.2.17
PHP VersionPHP Version 5.3.5-1 ubuntu7.2
Attached Files? file icon limesurvey_survey_36628.lss [^] (25,354 bytes) 2011-11-01 16:28

- Relationships

-  Notes
User avatar (16447)
c_schmitz (administrator)
2011-10-18 17:49

Please attach a small 2 question sample survey to reproduce the issue.
Thank you!
User avatar (16581)
Maximilien (reporter)
2011-11-01 16:29

Here you are, I have just uploaded a sample survey.

You are welcome!
User avatar (16620)
c_schmitz (administrator)
2011-11-08 13:58

Fixed in rev 11339

- Issue History
Date Modified Username Field Change
2011-09-07 18:53 Maximilien New Issue
2011-09-07 21:17 c_schmitz Assigned To => c_schmitz
2011-09-07 21:17 c_schmitz Status new => assigned
2011-10-18 17:49 c_schmitz Note Added: 16447
2011-10-18 17:49 c_schmitz Status assigned => feedback
2011-11-01 16:28 Maximilien File Added: limesurvey_survey_36628.lss
2011-11-01 16:29 Maximilien Note Added: 16581
2011-11-01 16:29 Maximilien Status feedback => assigned
2011-11-08 13:58 c_schmitz Note Added: 16620
2011-11-08 13:58 c_schmitz Status assigned => resolved
2011-11-08 13:58 c_schmitz Resolution open => fixed
2011-11-08 18:58 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker